/* ==========================================================================
   Title style - begin
   ========================================================================== */

.mkdf-title-holder {
    @include mkdfRelativeHolderLayout();
    height: 250px;
    background-color: rgba($first-main-color, .88);
    background-position: center 0;
    background-repeat: no-repeat;
    z-index: 101;
	
	&.mkdf-bg-responsive {
		height: auto !important; // because of inline style
		
		.mkdf-title-image {
			display: block;
		}
		
		.mkdf-title-wrapper {
			position: absolute;
			top: 50%;
			left: 0;
			@include mkdfTransform(translateY(-50%));
		}
	}
	
	&.mkdf-bg-parallax {
		background-attachment: fixed;
	}
	
	.mkdf-title-image {
		display: none;
		
		img {
			display: block;
			width: 100%;
		}
	}
    
    .mkdf-title-wrapper {
        @include mkdfTableLayout();
    }
    
    .mkdf-title-inner {
        @include mkdfTableCellLayout();
    }
}
/* ==========================================================================
   Title style - end
   ========================================================================== */